// Dlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDataSourceDlg dialog

class CDataSourceDlg : public CDialog
{
// Construction
public:
	CDataSourceDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDataSourceDlg)
	enum { IDD = IDD_DATASOURCE };
	CListBox	m_SourceList;
	CString	m_SelText;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDataSourceDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDataSourceDlg)
	afx_msg void OnSummary();
	afx_msg void OnSelchangeSourcelist();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
// CSummaryDlg dialog

class CSummaryDlg : public CDialog
{
// Construction
public:
	CSummaryDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSummaryDlg)
	enum { IDD = IDD_SummaryDlg };
	CComboBox	m_TitleBox;
	CString	m_FirmwareVersion;
	CString	m_Comment;
	CString	m_Title;
	//}}AFX_DATA
	CString	m_ModDate[2];
	CString	m_Version[2];
	CArray<CAdapter::sDriverInfo, CAdapter::sDriverInfo&> *m_pDrivers;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSummaryDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSummaryDlg)
	afx_msg void OnSelchangeTitle2();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
